import 'pass_mtx_platform_interface.dart';

class PassMtx {
  Future<String?> getPlatformVersion() {
    return PassMtxPlatform.instance.getPlatformVersion();
  }

  Future<String?> getPassPing() {
    return PassMtxPlatform.instance.getPassPing();
  }

  Future<String?> getPassVersion() {
    return PassMtxPlatform.instance.getPassVersion();
  }

  Future<String?> init(
      String appId, String clientId, String privatePem, String publicPem) {
    return PassMtxPlatform.instance
        .init(appId, clientId, privatePem, publicPem);
  }

  Future<String?> getCard(String userId) {
    return PassMtxPlatform.instance.getCard(userId);
  }
}
